"""Command sequence to prime for interaction with a sample tracker."""

try:
    envsetup
    envsetup.seek(0)
except NameError:
    envsetup = open('./envsetup.py', 'r')

import sys
sys.path.insert(0, '.')
sys.path.insert(0, '../..')
import Zope
import TrackerBase, TrackerMethods, Noodging   # or
reload(TrackerBase); reload(TrackerMethods); reload(Noodging)
tracker, issue, item = TrackerBase.sample();
rules = TrackerMethods.setTrackerRules(tracker)
state = issue.audited_state
print "tracker, issue, item, rules, and state prepared"

print "(exec(envsetup.read()) to reinit env)"
